Bug 1607624 (CVE-2018-10912) - CVE-2018-10912 keycloak: infinite loop in session replacement leading to denial of service
Summary: CVE-2018-10912 keycloak: infinite loop in session replacement leading to deni...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10912
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1582623 (view as bug list)
Depends On:
Blocks: 1582619 1696287
TreeView+ depends on / blocked
 
Reported: 2018-07-23 20:44 UTC by Chess Hazlett
Modified: 2019-12-05 23:09 UTC (History)
26 users (show)

Fixed In Version: Keycloak 4.0.0.Final
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:34:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2428 None None None 2018-08-15 11:29:31 UTC
Red Hat Product Errata RHSA-2019:0877 None None None 2019-04-24 18:46:52 UTC

Description Chess Hazlett 2018-07-23 20:44:56 UTC
A Keycloak cluster with multiple nodes could mishandle an expired session replacement and lead to an infinite loop. A malicious authenticated user could use this flaw to achieve Denial of Service on the server.

Comment 5 errata-xmlrpc 2018-08-15 11:29:19 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2.4 zip

Via RHSA-2018:2428 https://access.redhat.com/errata/RHSA-2018:2428

Comment 9 errata-xmlrpc 2019-04-24 18:46:50 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2019:0877 https://access.redhat.com/errata/RHSA-2019:0877

Comment 13 Dhananjay Arunesh 2019-11-20 07:23:09 UTC
*** Bug 1582623 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.